package cn.amq.peas;

import java.util.LinkedList;
import java.util.List;
import org.dom4j.Element;
import org.dom4j.Node;
import cn.amq.basis.AmqBasisEvent;
import cn.amq.basis.AmqConst;
import java.util.LinkedList;
//[设备联动执行状态_holder_one]
public class TrafficEventExecStateActionHolder extends AmqBasisEvent {
 	public TrafficEventExecStateActionHolder(){
		msgType=AmqConst.AMQ_MSG_trafficEventExecStateAction;
	}
	private String senderModuleName;//[发送模块名称]
	private String eventId;//[事故主键]
	private String alarmCode;//[事故类型编码，1：交通事故；6：交通拥堵；30：车辆逆行(非法逆行)；31：行人闯入(行人/非机动车闯入)；32：非法停车(车辆异常停驶)；5：路面损毁(道路异常)；33：车辆异常缓驶；34：车辆横穿路面；35：车辆驶离路面；36：隧道内火灾；37：能见度过低；38：行人横穿路面( 行人/非机动车横穿路面)；39：道路障碍物；99：其他事件]
	private String deviceType;//[设备类型，代码字段：1-信息发布；2-诱导灯联动； 3-大屏上墙； 4-平台通信； 5-语音提醒；6-声光报警；7-短信通知；99-结束预案]
	private String deviceId;//[设备ID，多个设备id用分号隔开 Led情报板：关联TrafficLedDevice表 交通诱导灯：关联TrafficLightDevice表]
	private String execState;//[设备执行状态代码； 1：未执行，2：执行中，3：执行成功，4：执行失败]
	private String execTime;//[执行时间字符串，格式YYYY-MM-DD HH24:MI:SS]
	private String createAppName;//[创建人，trafficLinkage(修改为执行方式:0:确认执行，1：提早执行，2：跳过执行)]
	private String createTime;//[创建时间]
	public void setSenderModuleName(String senderModuleName){
		this.senderModuleName = senderModuleName;
	}
	public String getSenderModuleName(){
		return senderModuleName;
	}
	public void setEventId(String eventId){
		this.eventId = eventId;
	}
	public String getEventId(){
		return eventId;
	}
	public void setAlarmCode(String alarmCode){
		this.alarmCode = alarmCode;
	}
	public String getAlarmCode(){
		return alarmCode;
	}
	public void setDeviceType(String deviceType){
		this.deviceType = deviceType;
	}
	public String getDeviceType(){
		return deviceType;
	}
	public void setDeviceId(String deviceId){
		this.deviceId = deviceId;
	}
	public String getDeviceId(){
		return deviceId;
	}
	public void setExecState(String execState){
		this.execState = execState;
	}
	public String getExecState(){
		return execState;
	}
	public void setExecTime(String execTime){
		this.execTime = execTime;
	}
	public String getExecTime(){
		return execTime;
	}
	public void setCreateAppName(String createAppName){
		this.createAppName = createAppName;
	}
	public String getCreateAppName(){
		return createAppName;
	}
	public void setCreateTime(String createTime){
		this.createTime = createTime;
	}
	public String getCreateTime(){
		return createTime;
	}
	public void writeObjToXml() {
		super.writeObjToXml();
 		this.addTextToElement(outMsgTypeElement, "senderModuleName",senderModuleName );//[发送模块名称]
 		this.addTextToElement(outMsgTypeElement, "eventId",eventId );//[事故主键]
 		this.addTextToElement(outMsgTypeElement, "alarmCode",alarmCode );//[事故类型编码，1：交通事故；6：交通拥堵；30：车辆逆行(非法逆行)；31：行人闯入(行人/非机动车闯入)；32：非法停车(车辆异常停驶)；5：路面损毁(道路异常)；33：车辆异常缓驶；34：车辆横穿路面；35：车辆驶离路面；36：隧道内火灾；37：能见度过低；38：行人横穿路面( 行人/非机动车横穿路面)；39：道路障碍物；99：其他事件]
 		this.addTextToElement(outMsgTypeElement, "deviceType",deviceType );//[设备类型，代码字段：1-信息发布；2-诱导灯联动； 3-大屏上墙； 4-平台通信； 5-语音提醒；6-声光报警；7-短信通知；99-结束预案]
 		this.addTextToElement(outMsgTypeElement, "deviceId",deviceId );//[设备ID，多个设备id用分号隔开 Led情报板：关联TrafficLedDevice表 交通诱导灯：关联TrafficLightDevice表]
 		this.addTextToElement(outMsgTypeElement, "execState",execState );//[设备执行状态代码； 1：未执行，2：执行中，3：执行成功，4：执行失败]
 		this.addTextToElement(outMsgTypeElement, "execTime",execTime );//[执行时间字符串，格式YYYY-MM-DD HH24:MI:SS]
 		this.addTextToElement(outMsgTypeElement, "createAppName",createAppName );//[创建人，trafficLinkage(修改为执行方式:0:确认执行，1：提早执行，2：跳过执行)]
 		this.addTextToElement(outMsgTypeElement, "createTime",createTime );//[创建时间]
	}
	public void readTextToObject(String text) throws Exception {
		super.readTextToObject(text);
 		senderModuleName = this.readStringByFullPath("/amq/senderModuleName");//[发送模块名称]
 		eventId = this.readStringByFullPath("/amq/eventId");//[事故主键]
 		alarmCode = this.readStringByFullPath("/amq/alarmCode");//[事故类型编码，1：交通事故；6：交通拥堵；30：车辆逆行(非法逆行)；31：行人闯入(行人/非机动车闯入)；32：非法停车(车辆异常停驶)；5：路面损毁(道路异常)；33：车辆异常缓驶；34：车辆横穿路面；35：车辆驶离路面；36：隧道内火灾；37：能见度过低；38：行人横穿路面( 行人/非机动车横穿路面)；39：道路障碍物；99：其他事件]
 		deviceType = this.readStringByFullPath("/amq/deviceType");//[设备类型，代码字段：1-信息发布；2-诱导灯联动； 3-大屏上墙； 4-平台通信； 5-语音提醒；6-声光报警；7-短信通知；99-结束预案]
 		deviceId = this.readStringByFullPath("/amq/deviceId");//[设备ID，多个设备id用分号隔开 Led情报板：关联TrafficLedDevice表 交通诱导灯：关联TrafficLightDevice表]
 		execState = this.readStringByFullPath("/amq/execState");//[设备执行状态代码； 1：未执行，2：执行中，3：执行成功，4：执行失败]
 		execTime = this.readStringByFullPath("/amq/execTime");//[执行时间字符串，格式YYYY-MM-DD HH24:MI:SS]
 		createAppName = this.readStringByFullPath("/amq/createAppName");//[创建人，trafficLinkage(修改为执行方式:0:确认执行，1：提早执行，2：跳过执行)]
 		createTime = this.readStringByFullPath("/amq/createTime");//[创建时间]
	}
}
